## monitoring

> grafana/loki/prometheus

- [g.monitor.autonomic.zone](https://g.monitor.autonomic.zone)
- [p.monitor.autonomic.zone](https://p.monitor.autonomic.zone)
- [l.monitor.autonomic.zone](https://l.monitor.autonomic.zone)

## setup

```
printf $(pass show hosts/swarm.autonomic.zone/minio/secret_key) | docker secret create gp_monitoring_loki_aws_secret_access_key_v1 -
printf password | docker secret create gp_monitoring_grafana_admin_password_v1 -
printf <...> | docker secret create gp_monitoring_grafana_oauth_client_secret_v1 -

pwgen -s 64 1; ./scripts/genpw.py # input password & get hashed output for secret
printf <...> | docker secret create gp_monitoring_prometheus_admin_password_v1 -

pwgen -s 64 1; ./scripts/genpw.py # input password & get hashed output for secret
printf <...> | docker secret create gp_monitoring_loki_admin_password_v1 -

printf <...> | docker secret create gp_monitoring_alertmanager_smtp_password_v1 -

set -a && source env && set +a
docker context use monitor.autonomic.zone

docker stack deploy -c compose.yml gp_monitoring
```

## questions / TODO

- [ ] how to load in secrets from multiple hosts & keep a recipe generic?
- [ ] basic auth on gathering stack
